For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
      • GETGet an entity's bank accounts
      • POSTCreate an entity bank account
      • GETGet an entity's bank account
      • DELDelete an entity's bank account
      • PATCHUpdate an entity's bank account
      • POSTSet an entity's bank account as the default for its currency
      • POSTVerify an entity bank account
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
CommonEntity bank accounts

Delete an entity's bank account

DELETE
/bank_accounts/:bank_account_id
DELETE
/v1/bank_accounts/:bank_account_id
$curl -X DELETE https://api.sandbox.monite.com/v1/bank_accounts/bank_account_id \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
Delete information about an entity's bank account with the specified ID. [Default bank accounts](https://docs.monite.com/entities/bank-accounts#default) cannot be deleted. To delete a default bank account, you must first assign a new default account for the same currency.
Was this page helpful?
Previous

Update an entity's bank account

Next
Built with

Delete information about an entity’s bank account with the specified ID.

Default bank accounts cannot be deleted. To delete a default bank account, you must first assign a new default account for the same currency.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

bank_account_idstringRequired

ID of an entity bank account you want to delete. This bank account must have is_default_for_currency=false.

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Errors

401
Delete Bank Accounts ID Request Unauthorized Error
404
Delete Bank Accounts ID Request Not Found Error
409
Delete Bank Accounts ID Request Conflict Error
422
Delete Bank Accounts ID Request Unprocessable Entity Error
429
Delete Bank Accounts ID Request Too Many Requests Error